package cn.com.qmth.examcloud.ws.starter.core;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 服务端消息
 *
 * @author WANGWEI
 * @date 2019年11月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class MessageOut implements JsonSerializable {

	private static final long serialVersionUID = -2255327250550304236L;

	private String path;

	private String sessionId;

	private String statusCode = "200";

	private String statusDesc = "OK";

	private Object content;

	/**
	 * 构造函数
	 *
	 * @param path
	 * @param sessionId
	 */
	public MessageOut(String path, String sessionId) {
		super();
		this.path = path;
		this.sessionId = sessionId;
	}

	/**
	 * 设置状态
	 *
	 * @author WANGWEI
	 * @param statusCode
	 * @param statusDesc
	 */
	public void setStatus(String statusCode, String statusDesc) {
		this.statusCode = statusCode;
		this.statusDesc = statusDesc;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public String getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(String statusCode) {
		this.statusCode = statusCode;
	}

	public String getStatusDesc() {
		return statusDesc;
	}

	public void setStatusDesc(String statusDesc) {
		this.statusDesc = statusDesc;
	}

	public Object getContent() {
		return content;
	}

	public void setContent(Object content) {
		this.content = content;
	}

}
